package com.tencent.mm.plugin.honey_pay;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.cd.h.d;
import com.tencent.mm.ci.h;
import com.tencent.mm.g.a.nj;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.at;
import com.tencent.mm.model.q;
import com.tencent.mm.plugin.honey_pay.model.b;
import com.tencent.mm.plugin.messenger.foundation.a.o;
import com.tencent.mm.plugin.messenger.foundation.a.p;
import com.tencent.mm.sdk.b.c;
import java.util.HashMap;

public class a implements at {
    private static HashMap<Integer, d> eaA;
    private h<b> nqt = new h(new 2(this));
    private c<nj> nqu = new 3(this);
    private o nqv = new 4(this);

    static {
        AppMethodBeat.i(41716);
        HashMap hashMap = new HashMap();
        eaA = hashMap;
        hashMap.put(Integer.valueOf("HoneyPayMsgRecord".hashCode()), new 1());
        AppMethodBeat.o(41716);
    }

    public static a bFV() {
        AppMethodBeat.i(41711);
        a aVar = (a) q.Y(a.class);
        AppMethodBeat.o(41711);
        return aVar;
    }

    public a() {
        AppMethodBeat.i(41712);
        AppMethodBeat.o(41712);
    }

    public final HashMap<Integer, d> Jx() {
        return eaA;
    }

    public final void iy(int i) {
    }

    public final void bA(boolean z) {
    }

    public final void bz(boolean z) {
        AppMethodBeat.i(41713);
        this.nqu.dnU();
        ((p) g.M(p.class)).getSysCmdMsgExtension().a("paymsg", this.nqv);
        AppMethodBeat.o(41713);
    }

    public final void onAccountRelease() {
        AppMethodBeat.i(41714);
        this.nqu.dead();
        ((p) g.M(p.class)).getSysCmdMsgExtension().b("paymsg", this.nqv);
        AppMethodBeat.o(41714);
    }

    public final b bFW() {
        AppMethodBeat.i(41715);
        b bVar = (b) this.nqt.get();
        AppMethodBeat.o(41715);
        return bVar;
    }
}
